// Shaders by |SMP|Snake
// Map: supermario_tj

// --- MAIN SHADERS ---
textures/MarioSnake/ice
{
	qer_editorimage textures/MarioSnake/icelake2_opaque2.tga
	surfaceparm slick
	surfaceparm nodamage
	tesssize 256

	{
		map textures/effects/envmap_ice2.tga
		tcgen environment
		rgbGen identity
	}
	{
		map textures/MarioSnake/icelake2_opaque2.tga
		blendfunc blend
	}
	{
		map $lightmap
		blendfunc filter
		rgbGen identity
	}
	{
		map textures/detail_sd/snowdetail_heavy.tga
		blendFunc GL_DST_COLOR GL_SRC_COLOR
		rgbgen identity
		tcMod scale 4 4
		detail
	}
}

textures/mariosky/msky
{
	qer_editorimage env/msky_up.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	q3map_sun	1 1 1 130 220 50
	skyParms env/msky 128 -
}


textures/mariosky/starsky
{
	qer_editorimage env/starsky_bk.jpg
	surfaceparm noimpact
	surfaceparm nolightmap
	surfaceparm sky
	skyParms env/starsky 512 -
}

textures/mariosky/clouds
{
		qer_editorimage textures/sfx/fog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 1.000 1.000 1.000 ) 464

}

textures/marioliquids/seawater
{
	q3map_globaltexture
	surfaceparm noimpact
	surfaceparm trans
	surfaceparm lava
	surfaceparm nolightmap

	cull disable
	tessSize 384
	cull disable
	deformVertexes wave 160 sin 0 10 0 0.3
	{
		map textures/marioliquids/seawater.tga
		tcMod turb 0 0.1 0 0.25
		tcMod scale 0.4 0.2
		tcMod scroll 0 0.02
	}
}



textures/marioliquids/lakewater
{
	qer_editorimage textures/marioliquids/seawater.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 160 sin 0 10 0 0.3 
	tessSize 384
	q3map_globaltexture
	{
		map textures/marioliquids/seawater.tga
		blendfunc gl_src_alpha gl_src_color
		tcMod turb 0 0.1 0 0.25
		tcMod scale 0.4 0.2
		tcMod scroll 0 0.02
	}
}

textures/marioliquids/lakewatersilent
{
	qer_editorimage textures/marioliquids/seawater.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	tessSize 384
	q3map_globaltexture
	{
		map textures/marioliquids/seawater.tga
		blendfunc gl_src_alpha gl_src_color
		tcMod turb 0 0.1 0 0.25
		tcMod scale 0.4 0.2
		tcMod scroll 0 0.02
	}
}

textures/marioliquids/waterfall
{
	qer_editorimage textures/marioliquids/seawater.tga
	surfaceparm noimpact
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm water
	cull disable
	tessSize 384
	q3map_globaltexture
	{
		map textures/marioliquids/seawater.tga
		blendfunc gl_src_alpha gl_src_color
		tcMod turb 0 0.1 0 0.25
		tcMod scale 0.4 0.2
		tcMod scroll 0 -0.25
	}
}

textures/MarioSnake/road
{
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm nosteps
	polygonoffset
	{
		map textures/MarioSnake/road.tga
		blendfunc gl_one gl_one_minus_dst_alpha
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		tcGen lightmap 
	}
}

textures/MarioSnake/levelyellowglow
{
	qer_editorimage textures/MarioSnake/level_yellow.tga
	{
		map textures/MarioSnake/level_yellow.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/MarioSnake/level_yellow_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.5 
		depthFunc equal
	}
}

textures/MarioSnake/levelredglow
{
	qer_editorimage textures/MarioSnake/level_red.tga
	{
		map textures/MarioSnake/level_red.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/MarioSnake/level_red_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.5 
		depthFunc equal
	}
}

textures/MarioSnake/star
{
	qer_editorimage textures/MarioSnake/star.tga
	{
		map textures/MarioSnake/star.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/MarioSnake/star_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.5 
		depthFunc equal
	}
}

textures/MarioSnake/stargold
{
	qer_editorimage textures/MarioSnake/stargold.tga
	{
		map textures/MarioSnake/stargold.tga
		rgbGen identity
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
	}
	{
		map textures/MarioSnake/level_yellow_glow.tga
		blendfunc add
		rgbGen wave sin 0.5 0.5 0 0.5 
		depthFunc equal
	}
}

textures/MarioSnake/bush_leafs
{
	qer_editorimage textures/MarioSnake/bush_leafs.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/MarioSnake/bush_leafs.tga
		alphaFunc GE128
	}
}

textures/MarioSnake/bush_leafs_brown
{
	qer_editorimage textures/MarioSnake/bush_leafs_brown.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/MarioSnake/bush_leafs_brown.tga
		alphaFunc GE128
	}
}



textures/MarioSnake/tree01
{
	qer_editorimage textures/MarioSnake/tree01.tga
	surfaceparm alphashadow
	surfaceparm nomarks
	surfaceparm nonsolid
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/MarioSnake/tree01.tga
		alphaFunc GE128
	}
}

textures/MarioSnake/yoshiroof
{
	  surfaceparm nonsolid
        surfaceparm trans		
	cull none
        nopicmip

	{
		map textures/MarioSnake/yoshiroof.tga
		//tcMod scale 2 2
		blendFunc GL_ONE GL_ZERO
		alphaFunc GE128
		depthWrite
		rgbGen identity
	}
	{
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
		depthFunc equal
	}
}

textures/MarioSnake/pipe
{   
 
        {
                map textures/effects/tinfx.tga       
                tcGen environment
                rgbGen identity
	}   
        {
		map textures/MarioSnake/pipe2.tga
                blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen identity
	} 
        {
		map $lightmap
                blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
		rgbGen identity
	}
}

textures/mariosky/clouds
{
		qer_editorimage textures/sfx/fog_grey.tga
		surfaceparm	trans
		surfaceparm	nonsolid
		surfaceparm	fog
		surfaceparm	nolightmap

		fogparms ( 1.000 1.000 1.000 ) 464

}

textures/MarioSnake/bubbles
{
	qer_editorimage textures/MarioSnake/bubbles_a.tga
	cull none
	surfaceparm nonsolid
	surfaceparm nomarks
	surfaceparm pointlight
	surfaceparm trans
	q3map_nofog

	q3map_nonplanar
	q3map_shadeAngle 180

	{
		fog off
		map textures/MarioSnake/bubbles_a.tga
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		rgbGen vertex
		tcMod scroll 0 0.25
	}
}

// --- TERRAIN ---
textures/MarioSnake/grass
{
	surfaceparm grasssteps
	implicitMap -
}

textures/MarioSnake/choc
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/MarioSnake/road
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/MarioSnake/road2
{
	surfaceparm gravelsteps
	implicitMap -
}

textures/MarioSnake/starroad03
{
	surfaceparm grasssteps
	implicitMap -
}

textures/MarioSnake/bridgewood01
{
	surfaceparm woodsteps
	implicitMap -
}

textures/MarioSnake/bridgewood02
{
	surfaceparm woodsteps
	implicitMap -
}

textures/MarioSnake/ground
{
	surfaceparm gravelsteps
	implicitMap -
}

// --- DISCO ---
textures/MarioSnake/disco_r
{
	qer_editorimage textures/MarioSnake/blendR.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	polygonOffset
	sort decal
	{
		map textures/MarioSnake/blendR.tga
		rgbGen wave sin 0 1 0 2.3
		blendfunc add
	}
}

textures/MarioSnake/disco_g
{
	qer_editorimage textures/MarioSnake/blendG.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	polygonOffset
	sort decal
	{
		map textures/MarioSnake/blendG.tga
		rgbGen wave sin 0 1 0 0.5
		blendfunc add
	}
}

textures/MarioSnake/disco_b
{
	qer_editorimage textures/MarioSnake/blendB.tga
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	polygonOffset
	sort decal
	{
		map textures/MarioSnake/blendB.tga
		rgbGen wave sin 0 1 0 0.9
		blendfunc add
	}
}

textures/MarioSnake/disco_rc
{
	qer_editorimage textures/MarioSnake/blendR.tga
	qer_trans 0.2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/MarioSnake/blendR.tga
		rgbGen wave sin 0 0.2 0 2.3
		blendfunc add
	}
}
textures/MarioSnake/disco_gc
{
	qer_editorimage textures/MarioSnake/blendG.tga
	qer_trans 0.2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/MarioSnake/blendG.tga
		rgbGen wave sin 0 0.2 0 0.5
		blendfunc add
	}
}
textures/MarioSnake/disco_bc
{
	qer_editorimage textures/MarioSnake/blendB.tga
	qer_trans 0.2
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nolightmap
	surfaceparm nomarks
	{
		map textures/MarioSnake/blendB.tga
		rgbGen wave sin 0 0.2 0 0.9
		blendfunc add
	}
}

// --- LAVA --- (c) by ManiacMansion
textures/broken/protolava
{
	
	q3map_globaltexture
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm lava
	surfaceparm nolightmap
	q3map_surfacelight 600
	cull disable
	
	tesssize 128
	cull disable
	deformVertexes wave 100 sin 3 2 .1 0.1
	
        {
		map textures/broken/protolava2.tga
                tcmod scale .2 .2
                tcmod scroll .04 .03
                tcMod turb 0 .1 0 .01
                blendFunc GL_ONE GL_ZERO
                rgbGen identity
	}
	{
		map textures/broken/protolava.tga
                blendfunc blend
		tcMod turb 0 .2 0 .1
	}

}

// --- FOG --- (c) by mlynz0r
textures/MarioSnake/fog
{
   qer_editorimage textures/sfx/none.jpg // :P

  surfaceparm nodraw
  surfaceparm nolightmap
   surfaceparm nonsolid
  surfaceparm trans
   surfaceparm fog

   fogparms ( 0.6981 0.7161 0.7376 ) 5000
}

// --- ICE SKY --- (c) by Sock
textures/mariosky/frozen_skybox
{

    qer_editorimage textures/mariosky/none.tga // :P
	skyparms env/frozen/frozen - -
	//q3map_surfacelight 2000
      //q3map_lightrgb 0.99216 0.95686 0.82353 


    surfaceparm sky
    surfaceparm noimpact
    surfaceparm nolightmap
    surfaceparm nodlight
    
    nopicmip
    nomipmaps	
}


